/**********************************************************
RunUO 2.0 AoV C# script file
Official Age of Valor Script :: www.uovalor.com
Last modified by 
Filepath: scripts\_custom\mobiles\WinterReaper.cs
Lines of code: 87
***********************************************************/


using System;
using System.Collections;
using Server;
using Server.Items;

namespace Server.Mobiles
{
	[CorpseName( "a winter reaper's corpse" )]
	public class WinterReaper : BaseCreature
	{

		[Constructable]
		public WinterReaper(bool dropaxe) : base( AIType.AI_Super, FightMode.Closest, 10, 1, 0.2, 0.4 )
		{
			Name = "a winter reaper";
			Hue = Utility.RandomBool() ? 1150 : 1153;
			Body = 47;
			BaseSoundID = 442;

			SetStr( 66, 215 );
			SetDex( 66, 75 );
			SetInt( 70, 170 );

			SetHits( 60, 149 );
			SetStam( 0 );

			SetDamage( 12, 14 );

			SetDamageType( ResistanceType.Cold, 80 );
			SetDamageType( ResistanceType.Physical, 20 );

			SetResistance( ResistanceType.Physical, 50, 60 );
			SetResistance( ResistanceType.Fire, 5, 10 );
			SetResistance( ResistanceType.Cold, 120, 160 );
			SetResistance( ResistanceType.Poison, 20, 30 );
			SetResistance( ResistanceType.Energy, 20, 30 );

			SetSkill( SkillName.EvalInt, 90.1, 100.0 );
			SetSkill( SkillName.Magery, 90.1, 100.0 );
			SetSkill( SkillName.MagicResist, 100.1, 125.0 );
			SetSkill( SkillName.Tactics, 45.1, 60.0 );
			SetSkill( SkillName.Wrestling, 50.1, 60.0 );

			Fame = 5500;
			Karma = -5500;

			VirtualArmor = 40;

			PackItem( new Log( 10 ) );
			PackItem( new SpidersSilk( 5 ) );
			
			if(0.005>Utility.RandomDouble() && dropaxe)PackItem(new ReapersAxe());
		}
		
		[Constructable]
		public WinterReaper() : this(true)
		{
		}		

		public override void GenerateLoot()
		{
			AddLoot( LootPack.Average );
		}

		public override Poison PoisonImmune{ get{ return Poison.Greater; } }
		public override int TreasureMapLevel{ get{ return 2; } }
		public override bool DisallowAllMoves{ get{ return true; } }
		
		public override int AuraDamageMin {get{return 30;}}		
		public override int AuraDamageMax {get{return 45;}}		
		
		public override double AuraChance {get{return 1;}} 
		public override int AuraDelayMin {get{return 7;}}
		public override int AuraDelayMax {get{return 12;}}
		
		public override int AuraEffectID {get{return 0x374A;}}			//effect item id shown on affected mobiles
		public override int AuraEffectType {get{return 9502;}}		//effect id shown on affected mobiles 9502
		public override int AuraEffectHue {get{return 97;}} 			//effect hue to show on affected mobiles 0x835
		public override int AuraEffectRender {get{return 3;}} 			//effect render mode to show on affected mobiles 0x496
		public override int AuraEffectSound {get{return 0x10B;}}			//effect sound id to show on affected mobiles		
		
		public override int AuraDamagePhys {get{return 0;}}
		public override int AuraDamageFire {get{return 0;}}
		public override int AuraDamageCold {get{return 100;}}
		public override int AuraDamagePoison {get{return 0;}}
		public override int AuraDamageEnergy {get{return 0;}}
		public override int AuraDamageChaos {get{return 0;}}
		public override int AuraDamageDirect {get{return 0;}} 	
		
		public override TextDefinition AuraEffectText {get{return "You are hit by piercing cold!";}}//cliloc/string sent to affected mobiles				
		public override int AuraRange {get{return 7;}}				//the range in tiles, of the aura
		public override bool AuraIgnoreLOS {get{return false;}}

		public WinterReaper( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );
			writer.Write( (int) 0 );
		}

		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );
			int version = reader.ReadInt();
		}
	}
}